﻿using System;

namespace TestProject
{
    /// <summary>
    /// 구매 항목
    /// </summary>
    public class PurchaseItem
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 설명 - Description

        /// <summary>
        /// 설명
        /// </summary>
        public string Description { get; set; }

        #endregion
        #region 가격 - Price

        /// <summary>
        /// 가격
        /// </summary>
        public double Price { get; set; }

        #endregion
        #region 제안 만기일 - OfferExpires

        /// <summary>
        /// 제안 만기일
        /// </summary>
        public DateTime OfferExpires { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - PurchaseItem()

        /// <summary>
        /// 생성자
        /// </summary>
        public PurchaseItem()
        {
        }

        #endregion
        #region 생성자 - PurchaseItem(description, price, offerExpires)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="description">설명</param>
        /// <param name="price">가격</param>
        /// <param name="offerExpires">제안 만기일</param>
        public PurchaseItem(string description, double price, DateTime offerExpires)
        {
            Description  = description;
            Price        = price;
            OfferExpires = offerExpires;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 문자열 구하기 - ToString()

        /// <summary>
        /// 문자열 구하기
        /// </summary>
        /// <returns>문자열</returns>
        public override string ToString() => $"{Description}, {Price:c}, {OfferExpires:D}";

        #endregion
    }
}